Bug 445604 - Review Request: tennix - A funny 2D tennis game
Review Request: tennix - A funny 2D tennis game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 18:03 EDT by Claudio Tomasoni
Modified: 2008-11-14 07:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-21 09:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Claudio Tomasoni 2008-05-07 18:03:33 EDT
Spec URL: http://www.claudiotomasoni.it/files/RPMS/tennix.spec
SRPM URL: http://www.claudiotomasoni.it/files/RPMS/tennix-0.6.1-1.fc8.src.rpm
Description: Tennix! is a top-view 2D tennis game. It features a two-player game mode and a single-player mode against the computer.

It's a very small and funny game with a nice graphic, music and sounds.
rpmlint is quiet, but...
- the package is compiled with "make", since "make %{?_smp_mflags}" fails
- spec file contains "%define debug_package %{nil}" in order to avoid an "empty-debuginfo-package" error
Comment 1 Paul Howarth 2008-05-07 20:30:27 EDT
You can fix the debuginfo by compiling with the appropriate flags and not
stripping the debug data from the binary at install time:

Add:
sed -i -e 's/install -s/install/' makefile
after %setup -q in %prep to prevent the stripping.

Add:
export CFLAGS="%{optflags}"
before "make" in %build to set the compiler flags.

You're also going to need:
BuildRequires:  desktop-file-utils
Comment 2 Claudio Tomasoni 2008-05-12 18:21:12 EDT
Hi Paul,

- substituted "install -s" with "install" in the makefile (I have really a lot
to learn about makefiles)
- used 'CFLAGS="%{optflags}" make' to build the binaries
- added desktop-file-utils as build requirement (oops! forgot it!)

New SPEC file and SRPM are available at
Spec URL: http://www.claudiotomasoni.it/files/RPMS/tennix.spec
SRPM URL: http://www.claudiotomasoni.it/files/RPMS/tennix-0.6.1-2.fc8.src.rpm
Comment 3 Mamoru TASAKA 2008-05-13 13:58:42 EDT
(Removing NEEDSPONSOR: I will sponsor Claudio)
Comment 4 Martin-Gomez Pablo 2008-06-08 07:16:57 EDT
Some comments about your spec: 

* The compilation succeed with "make %{?_smp_mflags}" (-j3 for me) as well with
X86_64 than i386, without warnings.

* Attention with "%{_datadir}/applications/*.desktop", you are owning all the
desktop files, just put "fedora-%{name}.desktop" at the end.
Comment 5 Mamoru TASAKA 2008-07-24 13:17:05 EDT
What is the status of this package?
Comment 6 Mamoru TASAKA 2008-08-14 10:29:31 EDT
Claudio, would you still interested in importing this package into Fedora?
Comment 7 Claudio Tomasoni 2008-08-24 11:11:15 EDT
Hello, I'm still interested in importing this package into Fedora.
As already written I had some health trouble in the last months, that was the reason of my absence.

Anyway, the package doesn't build in koji for dist-f10 with "make %{?_smp_mflags}" in the build section (see http://koji.fedoraproject.org/koji/taskinfo?taskID=782837).
In the new SPEC and SRPM the only correction is the name of the desktop file:

Spec URL: http://www.claudiotomasoni.it/files/RPMS/tennix.spec
SRPM URL: http://www.claudiotomasoni.it/files/RPMS/tennix-0.6.1-3.fc9.src.rpm
Comment 8 Mamoru TASAKA 2008-08-26 12:00:32 EDT
Well, for 0.6.1-3:

* Summary
  - Usually the part like "Tennix! is a" is redundant for Summary

* SourceURL
  - I recommend to use %{name}, %{version} macros (especially %{version}).
    With using these you probably don't have to modify SourceURL
    when the version is upgraded.

* Macros
  - Use macros. /usr must be %{_prefix}.

! Timestamp
  - Would you consider to add
----------------------------------------------------------
sed -i -e 's|install -m|install -p -m|' makefile
----------------------------------------------------------
    to keep timestamps on installed files as much as possible?

* Icon caching
  - Please refer to
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache
Comment 9 Claudio Tomasoni 2008-08-27 17:26:06 EDT
All fixes suggested done in:

Spec URL: http://www.claudiotomasoni.it/files/RPMS/tennix.spec
SRPM URL: http://www.claudiotomasoni.it/files/RPMS/tennix-0.6.1-4.fc9.src.rpm

About "! Timestamp": ok, I'll take care of this from now on.
About "* Icon caching": lesson learned (it's the second time with the same error).
Comment 10 Mamoru TASAKA 2008-08-28 03:28:15 EDT
Good.

-----------------------------------------------------------------------------
     This package (tennix) is APPROVED by mtasaka
-----------------------------------------------------------------------------
Comment 11 Claudio Tomasoni 2008-09-02 17:17:52 EDT
New Package CVS Request
=======================
Package Name: tennix
Short Description: A simple tennis game
Owners: claudiotomasoni
Branches: F-8 F-9
InitialCC:
Comment 12 Kevin Fenzi 2008-09-03 16:36:49 EDT
cvs done.
Comment 13 Mamoru TASAKA 2008-09-10 03:00:17 EDT
For F-9/8, please remember to submit a request on bodhi to push the packages to repositories
after rebuild on koji.
Comment 14 Claudio Tomasoni 2008-09-11 16:50:01 EDT
Tennix has been successfully built on devel (F-10), but when I try to build it on F-8 or F-9, I get this error:

   koji: error: Destination tag dist-f9 is locked

I will try again a later.
Comment 15 Mamoru TASAKA 2008-09-12 01:28:46 EDT
(In reply to comment #14)
>    koji: error: Destination tag dist-f9 is locked

If you still see this problem, please try to re-check tennix and common
directory.
Comment 16 Mamoru TASAKA 2008-09-17 11:24:07 EDT
Are you still seeing the problem?
Comment 17 Fedora Update System 2008-09-21 09:29:10 EDT
tennix-0.6.1-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tennix-0.6.1-4.fc8
Comment 18 Fedora Update System 2008-09-21 09:29:14 EDT
tennix-0.6.1-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tennix-0.6.1-4.fc9
Comment 19 Claudio Tomasoni 2008-09-21 09:30:46 EDT
Re-imported, built and submitted in bodhi.
Comment 20 Mamoru TASAKA 2008-09-21 09:58:16 EDT
Thanks!
Comment 21 Fedora Update System 2008-11-14 07:46:29 EST
tennix-0.6.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-11-14 07:53:03 EST
tennix-0.6.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.